import React, { useState, useEffect } from 'react';
import { Button, Modal, Form, Select } from 'antd';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import moment from 'moment';
import PageTable from '@/components/PageTable';
import { getAccountLogList } from '@/services/accountLog'

const formatterTime = (val) => {
  return val ? moment(val).format('YYYY-MM-DD HH:mm:ss') : '';
};
const FormItem = Form.Item;
const formItemLayout = { labelCol: { span: 6 }, wrapperCol: { span: 14 } };
const { Option } = Select;

export default (props) => {
  const [show, setShow] = useState(false)
  const [evaluation, setEval] = useState()
  const [machineryTypeList, setMachineryTypeList] = useState([]);
  const [cooperativeList, setCooperativeList] = useState([]);

  const columns = [
    {
      title: '订单号',
      dataIndex: 'orderNo',
      key: 'orderNo',
    },
    {
      title: '下单人',
      dataIndex: 'personName',
      key: 'personName',
    },
    {
      title: '手机号',
      dataIndex: 'phone',
      key: 'phone',
    },
    {
      title: '发生时间',
      dataIndex: 'payDate',
      key: 'payDate',
      search: false,
      render: (t) => formatterTime(t),
    },
    {
      title: '支付方式',
      dataIndex: 'feeType',
      key: 'feeType',
      search: false,
      render: (t) => '',
    },
    {
      title: '到账时间',
      dataIndex: 'date',
      key: 'date',
      render: (t) => '',
      search: false
    },
    {
      title: '到账方式',
      dataIndex: 'Type',
      key: 'Type',
      search: false,
      render: (t) => '',
    },
    {
      title: '费用',
      dataIndex: 'money',
      key: 'money',
      render: (t) => t / 100,
      search: false
    },
  ];

  return (
    <PageHeaderWrapper>
      <PageTable
        request={getAccountLogList}
        // expfunc={exportPersonList}
        columns={columns}
        rowKey="logId"
        options={false}
        scroll={{ x: 1500 }}
      />
    </PageHeaderWrapper>
  );
};
